Bug 444015 - Using uninitialized bytes in _xcb_conn_wait
Summary: Using uninitialized bytes in _xcb_conn_wait
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libxcb
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-24 15:42 UTC by Zdenek Kabelac
Modified: 2009-07-14 14:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 14:58:47 UTC


Attachments (Terms of Use)

Description Zdenek Kabelac 2008-04-24 15:42:20 UTC
Description of problem:

valgrind shows that _xcb_conn_wait is using uninitialized bytes

 ==2396== Syscall param writev(vector[...]) points to uninitialised byte(s)
==2396==    at 0x3A6CCDC570: writev (writev.c:46)
==2396==    by 0x37DEC08B50: _xcb_conn_wait (xcb_conn.c:170)
==2396==    by 0x37DEC09118: _xcb_out_send (xcb_out.c:279)
==2396==    by 0x37DEC09228: _xcb_out_flush_to (xcb_out.c:297)
==2396==    by 0x37DEC0A20A: xcb_wait_for_reply (xcb_in.c:325)
==2396==    by 0x37DF04D2DD: _XReply (xcb_io.c:366)
==2396==    by 0x37DF040DB2: XSync (Sync.c:48)
==2396==    by 0x3A7404071D: X11_SetGammaRamp (SDL_x11video.c:1454)
==2396==    by 0x3A7404230E: X11_CreateWindow (SDL_x11video.c:989)
==2396==    by 0x3A740427F8: X11_SetVideoMode (SDL_x11video.c:1160)
==2396==    by 0x3A740304EC: SDL_SetVideoMode (SDL_video.c:666)

==2396==  Address 0xaaf9257 is 4,431 bytes inside a block of size 8,680 alloc'd
==2396==    at 0x4A05174: calloc (vg_replace_malloc.c:397)
==2396==    by 0x37DEC08DCE: xcb_connect_to_fd (xcb_conn.c:224)
==2396==    by 0x37DEC0B5A6: xcb_connect (xcb_util.c:288)
==2396==    by 0x37DF04C831: _XConnectXCB (xcb_disp.c:87)
==2396==    by 0x37DF03448C: XOpenDisplay (OpenDis.c:168)
==2396==    by 0x3A74042A6A: X11_VideoInit (SDL_x11video.c:599)
==2396==    by 0x3A74031683: SDL_VideoInit (SDL_video.c:240)
==2396==    by 0x3A740080E6: SDL_InitSubSystem (SDL.c:70)


Version-Release number of selected component (if applicable):
libxcb-1.1-4.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bug Zapper 2008-05-14 10:05:19 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-06-10 00:24:53 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 14:58:47 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.